// Pou itGlugu.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include <stdio.h>
#include "glut.h"
#include <gl/Gl.h>
#include <gl/glu.h>
#include <iostream>
#include <fstream>
using namespace std;

int pocet=0;
GLfloat Karel3D[10000];

void init(void)
{
	glClearColor(0.0, 0.0, 0.0, 0.0);
	glShadeModel(GL_FLAT);
	
	ifstream in("Karel3D.raw");
	if(!in.is_open()){
		cout << "ERROR!!!" << endl;
		exit(0);
	}
	while(!in.eof())
		in >> Karel3D[pocet++];
	in.close();
	glPolygonMode(GL_FRONT_AND_BACK, GL_LINE);
}

void display(void)
{
	GLfloat x,y,z;
	glClear(GL_COLOR_BUFFER_BIT);
	glColor3f(1.0, 1.0, 1.0);
	glLoadIdentity();
	gluLookAt(5.0, 0.0, 20.0, 0.0, 0.0, 0.0, 0.0, 1.0, 0.0);
	
	glColor3f(1.0f,1.0f,1.0f);

	glBegin(GL_TRIANGLES);
	for(int i=0; i<pocet; i+=3)
		glVertex3f(Karel3D[i], Karel3D[i+1], Karel3D[i+2]);
	glEnd();

	glFlush();
	
}

void reshape(int w, int h)
{
	glViewport(0, 0, (GLsizei) w, (GLsizei) h);
	glMatrixMode(GL_PROJECTION);
	glLoadIdentity();
	        //(Left, Right, Bottom, Top, Near, Far);
	glFrustum(-1.0, 1.0, -1.0, 1.0, 1.5, 30.0);
	glMatrixMode(GL_MODELVIEW);
}


int main(int argc,char **argv)
{
		
	glutInit(&argc, argv);
	glutInitDisplayMode(GLUT_SINGLE | GLUT_RGB);
	glutInitWindowSize(500, 500);
	glutInitWindowPosition(100, 100);
	glutCreateWindow(argv[0]);

	
	
	init();
	glutDisplayFunc(display);
	glutReshapeFunc(reshape);
	glutMainLoop();
	return 0;
}

